Cannot install nethserver-mail-filter on ARM

NethServer Version: 7.7.1908 (final)
Module: nethserver-mail-filter (rspamd)

This is my first post on this forum. I’m using NethServer a few years for home use on an old HP Proliant server. That’s working fine (thank you for that), but energy consuming. Therefore I tried to move to a Raspberry Pi4 and I have almost everything working except mail-filter (rspamd) because it’s not installing:
[YumRPMCheckError] [u’ERROR with transaction check vs depsolve:’, ‘olefy is needed by nethserver-mail-filter-2.9.1-1.ns7.noarch’].
I don’t know how to solve this problem, can you help me?

2 Likes

ARM is a community effort, it needs now to build the rpm olefy for ARM, I do not know if it is possible, and when it will be available cc @mark_nl

Please stay in touch

1 Like

My bad, I didn’t evaluate ARM. Olefy is written in python, it should be possible to build it as noarch.

1 Like

@act & @filippo_carletti my bad too, should noticed this additional dependency. :open_mouth:

Will try to (re)build it for arm over the weekend and report back to you…

EDIT:
It would help if to know where you can find source 1 to 11…

cc/ @davidep

There’s an aarch64 rpm on copr. No armhfp :frowning:

https://copr.fedorainfracloud.org/coprs/davidep/olefy/

1 Like

Aha, found the source package;
its building (fingers crossed)

I just started a new build of the latest 1.0.0 release…

https://copr.fedorainfracloud.org/coprs/davidep/olefy/build/1116622/

IIRC some of the bundled Python dependencies are arch dependant, so the resulting RPM can’t be noarch.

@act, it is going to take a bit longer because there are build-errors with python and python is not a strong point of me…

build-error:

  Running setup.py install for cryptography: started
    Running setup.py install for cryptography: finished with status 'error'
    Complete output from command /tmp/tmp.URKNv4eoln/bin/python3 -u -c "import setuptools, tokenize;__file__='/tmp/pip-q3_0hqdg-build/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-z7u129l2-record/install-record.txt --single-version-externally-managed --compile --install-headers /tmp/tmp.URKNv4eoln/include/site/python3.6/cryptography:
    Download error on https://pypi.org/simple/pycparser/: [Errno -2] Name or service not known -- Some packages may not be found!
    Couldn't find index page for 'pycparser' (maybe misspelled?)
    Download error on https://pypi.org/simple/: [Errno -2] Name or service not known -- Some packages may not be found!
    No local packages or working download links found for pycparser

EDIT
AHA, --enable-network for mock-chroot seems to help

Succes! olefy-1.0.0-1.ns7.armv7hl.rpm uploaded to arm-testing.

@act if you want you can test this brand new just build package…
Note, as you read it is initial build and never installed before, so no guarantees it will work

if you are brave to may try to install olefy by running:

yum install --enablerepo=nethserver-testing olefy

and then install nethserver-mail-filter as you did before.

5 Likes

Wow!!! You are all solving this fast!!

I was able to install olefy and nethserver-mail-filter.

Thanks a lot!!

4 Likes

Thanx for being so brave to test :+1:

If you encounter problems let us know, so we can fix them;

If all is well we will move it to the updates repository in a few day’s

3 Likes

Hello Mark,

Could you please build a new olefy version for armv7hl:
afbeelding

Many thanks in advance

1 Like